package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel("询价查询")
public class DrpInquiryPageVO {
   @ApiModelProperty("询价单号")
   private String inquiryId;
   @ApiModelProperty("标题")
   private String title;
   @ApiModelProperty("决标时间")
   private LocalDateTime bidTime;
   @ApiModelProperty("询价状态(1-待提交,2-已决标,3-报价进行中,4-未决标,5-已取消)")
   private Integer status;
   @ApiModelProperty("决标总价")
   private Long bidTotalPrice;
   @ApiModelProperty("报价开始时间")
   private LocalDateTime startTime;
   @ApiModelProperty("报价结束时间")
   private LocalDateTime endTime;
   @ApiModelProperty("供应商列表")
   List<Long> supplierIds;
   @ApiModelProperty("已报价供应商列表")
   List<Long> quoteSupplierIdList;
   @ApiModelProperty("最低价供应商id")
   private Long minQuoteSupplierId;
   @ApiModelProperty("最低价供应商")
   private String minQuoteSupplierName;
   @ApiModelProperty("中标供应商id")
   private Long bidSupplierId;
   @ApiModelProperty("中标供应商")
   private String bidSupplierName;
   @ApiModelProperty("询价备注")
   private String inquiryNotes;
   @ApiModelProperty("制表时间")
   private LocalDateTime crtime;
   @ApiModelProperty("制表人")
   private String crby;
   @ApiModelProperty("要求到货时间")
   private LocalDate requestArrivalTime;
   @ApiModelProperty("联系人")
   private String linkMan;
   @ApiModelProperty("联系电话")
   private String phone;
   @ApiModelProperty("收货地址")
   private String address;
   @ApiModelProperty("询价原料明细")
   List<DrpInquiryDetailPageVO> detailList;
   @ApiModelProperty("区域")
   private String area;
   @ApiModelProperty("询价状态 1 未开始，2 进行中 3 已结束")
   private Integer inquiryState;
   @ApiModelProperty("图片")
   List<DrpQuoteInquiryPicVO> drpQuoteInquiryPics;
   @ApiModelProperty("区域ID")
   private Long areaId;
   @ApiModelProperty("区域名称")
   private String areaName;

   public String getInquiryId() {
      return this.inquiryId;
   }

   public String getTitle() {
      return this.title;
   }

   public LocalDateTime getBidTime() {
      return this.bidTime;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Long getBidTotalPrice() {
      return this.bidTotalPrice;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public List<Long> getSupplierIds() {
      return this.supplierIds;
   }

   public List<Long> getQuoteSupplierIdList() {
      return this.quoteSupplierIdList;
   }

   public Long getMinQuoteSupplierId() {
      return this.minQuoteSupplierId;
   }

   public String getMinQuoteSupplierName() {
      return this.minQuoteSupplierName;
   }

   public Long getBidSupplierId() {
      return this.bidSupplierId;
   }

   public String getBidSupplierName() {
      return this.bidSupplierName;
   }

   public String getInquiryNotes() {
      return this.inquiryNotes;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDate getRequestArrivalTime() {
      return this.requestArrivalTime;
   }

   public String getLinkMan() {
      return this.linkMan;
   }

   public String getPhone() {
      return this.phone;
   }

   public String getAddress() {
      return this.address;
   }

   public List<DrpInquiryDetailPageVO> getDetailList() {
      return this.detailList;
   }

   public String getArea() {
      return this.area;
   }

   public Integer getInquiryState() {
      return this.inquiryState;
   }

   public List<DrpQuoteInquiryPicVO> getDrpQuoteInquiryPics() {
      return this.drpQuoteInquiryPics;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public void setInquiryId(final String inquiryId) {
      this.inquiryId = inquiryId;
   }

   public void setTitle(final String title) {
      this.title = title;
   }

   public void setBidTime(final LocalDateTime bidTime) {
      this.bidTime = bidTime;
   }

   public void setStatus(final Integer status) {
      this.status = status;
   }

   public void setBidTotalPrice(final Long bidTotalPrice) {
      this.bidTotalPrice = bidTotalPrice;
   }

   public void setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
   }

   public void setSupplierIds(final List<Long> supplierIds) {
      this.supplierIds = supplierIds;
   }

   public void setQuoteSupplierIdList(final List<Long> quoteSupplierIdList) {
      this.quoteSupplierIdList = quoteSupplierIdList;
   }

   public void setMinQuoteSupplierId(final Long minQuoteSupplierId) {
      this.minQuoteSupplierId = minQuoteSupplierId;
   }

   public void setMinQuoteSupplierName(final String minQuoteSupplierName) {
      this.minQuoteSupplierName = minQuoteSupplierName;
   }

   public void setBidSupplierId(final Long bidSupplierId) {
      this.bidSupplierId = bidSupplierId;
   }

   public void setBidSupplierName(final String bidSupplierName) {
      this.bidSupplierName = bidSupplierName;
   }

   public void setInquiryNotes(final String inquiryNotes) {
      this.inquiryNotes = inquiryNotes;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setRequestArrivalTime(final LocalDate requestArrivalTime) {
      this.requestArrivalTime = requestArrivalTime;
   }

   public void setLinkMan(final String linkMan) {
      this.linkMan = linkMan;
   }

   public void setPhone(final String phone) {
      this.phone = phone;
   }

   public void setAddress(final String address) {
      this.address = address;
   }

   public void setDetailList(final List<DrpInquiryDetailPageVO> detailList) {
      this.detailList = detailList;
   }

   public void setArea(final String area) {
      this.area = area;
   }

   public void setInquiryState(final Integer inquiryState) {
      this.inquiryState = inquiryState;
   }

   public void setDrpQuoteInquiryPics(final List<DrpQuoteInquiryPicVO> drpQuoteInquiryPics) {
      this.drpQuoteInquiryPics = drpQuoteInquiryPics;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }


   public String toString() {
      String var10000 = this.getInquiryId();
      return "DrpInquiryPageVO(inquiryId=" + var10000 + ", title=" + this.getTitle() + ", bidTime=" + String.valueOf(this.getBidTime()) + ", status=" + this.getStatus() + ", bidTotalPrice=" + this.getBidTotalPrice() + ", startTime=" + String.valueOf(this.getStartTime()) + ", endTime=" + String.valueOf(this.getEndTime()) + ", supplierIds=" + String.valueOf(this.getSupplierIds()) + ", quoteSupplierIdList=" + String.valueOf(this.getQuoteSupplierIdList()) + ", minQuoteSupplierId=" + this.getMinQuoteSupplierId() + ", minQuoteSupplierName=" + this.getMinQuoteSupplierName() + ", bidSupplierId=" + this.getBidSupplierId() + ", bidSupplierName=" + this.getBidSupplierName() + ", inquiryNotes=" + this.getInquiryNotes() + ", crtime=" + String.valueOf(this.getCrtime()) + ", crby=" + this.getCrby() + ", requestArrivalTime=" + String.valueOf(this.getRequestArrivalTime()) + ", linkMan=" + this.getLinkMan() + ", phone=" + this.getPhone() + ", address=" + this.getAddress() + ", detailList=" + String.valueOf(this.getDetailList()) + ", area=" + this.getArea() + ", inquiryState=" + this.getInquiryState() + ", drpQuoteInquiryPics=" + String.valueOf(this.getDrpQuoteInquiryPics()) + ", areaId=" + this.getAreaId() + ", areaName=" + this.getAreaName() + ")";
   }
}
